function [ deltaj ] = vypDelj( MAI, MB, parM, len)
deltaj=zeros(1,len);
minim=min([parM length(MB)-1]);
MB=fliplr(MB);

for n=1:len
    tempAi=0;
    for i=1:minim+1
        tempAi=tempAi+MB(i);        
    end
    deltaj(n)=(n/len)*((tempAi/(minim+1))-MAI(1));
    
end
deltaj=fliplr(deltaj);


end